Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.qmap
Class QIndexMap

    java.lang.Object
      |
      +--java.util.AbstractMap
            |
            +--java.util.TreeMap
                  |
                  +--com.jxml.quick.qmap.QIndexMap

All Implemented Interfaces:
  Cloneable, Map, QIndex, Serializable, SortedMap

public class QIndexMap
extends TreeMap
implements QIndex

A fancy iterator.

See Also:
  Serialized Form

Inner classes inherited from class java.util.Map
`Map.Entry`

Field Summary
`Iterator` | `iterator`
`List` | `last`
`QMunger` | `munger`
`int[]` | `ndx`
`QQualifier` | `qualifier`
`Map` | `values`

Constructor Summary
`QIndexMap()`
`QIndexMap(Map values, List order, QQualifier qualifier, QMunger munger)`

Method Summary
`boolean` | `hasNext()`
`int` | `index(int k)`
`List` | `next()`
`void` | `reset()`

Methods inherited from class java.util.TreeMap
`clear, clone, comparator, containsKey, containsValue, entrySet, firstKey, get, headMap, keySet, lastKey, put, putAll, remove, size, subMap, tailMap, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, isEmpty, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Field Detail

### ndx

    public int[] ndx

### values

    public Map values

### qualifier

    public QQualifier qualifier

### munger

    public QMunger munger

### iterator

    public Iterator iterator

### last

    public List last

Constructor Detail

### QIndexMap

    public QIndexMap()

### QIndexMap

    public QIndexMap(Map values,
                     List order,
                     QQualifier qualifier,
                     QMunger munger)

  Parameters:
    `order` - a list of Integer objects.

Method Detail

### reset

    public void reset()

### hasNext

    public boolean hasNext()

### next

    public List next()

### index

    public int index(int k)

  Specified by:
    `index` in interface `QIndex`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD